
From: Andrew Morton <akpm@osdl.org>

Fixup for the recent slab leak fix

Cc: Pekka Enberg <penberg@cs.helsinki.fi>
Cc: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/fat/cache.c |    2 +-
 fs/fat/inode.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/fat/cache.c~fat-fix-slab-cache-leak-section-fix fs/fat/cache.c
--- devel/fs/fat/cache.c~fat-fix-slab-cache-leak-section-fix	2005-06-30 22:12:45.000000000 -0700
+++ devel-akpm/fs/fat/cache.c	2005-06-30 22:12:45.000000000 -0700
@@ -56,7 +56,7 @@ int __init fat_cache_init(void)
 	return 0;
 }
 
-void __exit fat_cache_destroy(void)
+void fat_cache_destroy(void)
 {
 	if (kmem_cache_destroy(fat_cache_cachep))
 		printk(KERN_INFO "fat_cache: not all structures were freed\n");
diff -puN fs/fat/inode.c~fat-fix-slab-cache-leak-section-fix fs/fat/inode.c
--- devel/fs/fat/inode.c~fat-fix-slab-cache-leak-section-fix	2005-06-30 22:12:45.000000000 -0700
+++ devel-akpm/fs/fat/inode.c	2005-06-30 22:12:45.000000000 -0700
@@ -1327,7 +1327,7 @@ out_fail:
 EXPORT_SYMBOL(fat_fill_super);
 
 int __init fat_cache_init(void);
-void __exit fat_cache_destroy(void);
+void fat_cache_destroy(void);
 
 static int __init init_fat_fs(void)
 {
_
